Subject: Re: bug#17386: 24.3.90; emacs_abort in cmcheckmagic

From: Nicolas Richard <[email-masked]>
Date: Mon, 05 May 2014 13:25:25 +0200

>> $ gdb emacs 
>> (gdb) handle SIGWINCH print
>> Signal        Stop	Print	Pass to program	Description
>> SIGWINCH      No	Yes	Yes		Window size changed
>> (gdb) r -Q -nw
>> Starting program: /usr/local/bin/emacs -Q -nw
>> warning: Could not load shared library symbols for linux-gate.so.1.
>> Do you need "set solib-search-path" or "set sysroot"?
>> [Thread debugging using libthread_db enabled]
>> Using host libthread_db library "/lib/libthread_db.so.1".
>> [New Thread 0xb6386b40 (LWP 21216)]
>> [Thread 0xb673c880 (LWP 21212) exited]
>> [Inferior 1 (process 21212) exited normally]
>> (gdb) 
>> 
>> There's nothing to see on this transcript, but I did change the window
>> size after running "r -Q -nw", just like with "cat" above, before
>> exiting emacs. I don't know what this means.

> I don't know what you meant by "maximized then unmaximized the
> screen",

It was with gnome-terminal, maximizing and minimizing its frame. No
tmux involved.

> but what I did was to press 'C-b "' to split the screen in half, and
> then 'C-b !' to join the halves into a single screen; both times GDB
> announced SIGWINCH.

I just tried with "handle SIGWINCH stop print", and with that setup gdb
indeed takes control whenever I change the dimensions (either with tmux
or with gnome-terminal).

I don't know why I see nothing printed on the console in my previous
experiment, but it's probably just me not being able to use gdb.

-- 
Nico.